/***************************************************************************
 *   Copyright (C) 2004 by Gerd Fleischer                                  *
 *   gerdfleischer@gmx.de                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "klinpopup.h"
#include "systemtray.h"

#include <kdebug.h>

#include <kapplication.h>
#include <kpopupmenu.h>
#include <kglobal.h>
#include <kiconloader.h>
#include <kiconeffect.h>
#include <kstdaction.h>

SystemTray::SystemTray(QWidget *parent, const char *name) : KSystemTray(parent, name)
{
    m_trayPix = loadIcon("klinpopup");
    currentPixmap = 1;
    setPixmap(m_trayPix);
    KPopupMenu *popupMenu = contextMenu();
    popupMenu->insertItem(KGlobal::iconLoader()->loadIconSet("mail_new", KIcon::Small), "&New Popup", parent, SLOT(newPopup()));
//    popupMenu->insertItem(KGlobal::iconLoader()->loadIconSet("exit", KIcon::Small), "Exit", parent, SLOT(quitKLinPopup()));
}

SystemTray::~SystemTray()
{
}

void SystemTray::changeTrayPixmap(int iconSwitch)
{
    if (iconSwitch == 1) {
        newTrayPixmap = loadIcon("klinpopup");
	currentPixmap = 1;
    } else {
        newTrayPixmap = loadIcon("new_popup");
	currentPixmap = 0;
    }
    
    setPixmap(newTrayPixmap);
}

/*
void SystemTray::mousePressEvent(QMouseEvent *e)
{
    if (!rect().contains(e->pos()))
        return;
	
//    if (parent->isHidden());
    
    switch (e->button())
    {
    case LeftButton:
        toggleActive();
//	KLinPopup::setRead(); won't work???
	kdDebug() << "just before change" << endl;
	if (currentPixmap != 1) {
	    kdDebug() << "will change pixmap" << endl;
	    changeTrayPixmap(1);
	}    
	break;
    case MidButton:
    case RightButton:
    default:
        KSystemTray::mousePressEvent(e);
        break;
    }
}
 */  
